Bug 479934 - [TAHI] trap test failed for RFC3416
[TAHI] trap test failed for RFC3416
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-14 02:07 EST by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 06:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2009-01-14 02:07:48 EST
Description of problem:
Fedora10.9 agent playing the SNMPv2C agent can not generate the SNMPv2C-Trap PDU and sent it to the manager.

Version-Release number of selected component (if applicable):
net-snmp-5.4.2.1-6.fc11.i386 
net-snmp-perl-5.4.2.1-6.fc11.i386
net-snmp-utils-5.4.2.1-6.fc11.i386
net-snmp-libs-5.4.2.1-6.fc11.i386

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.

Actual results:
Trap test failed

Expected results:
Trap test pass

Additional info:

Test Information
Title:	Trap Test
CommandLine:	./AG_RFC3416_Trap.seq -pkt /dev/null -log 118.html -ti Trap Test
TestVersion:	MGM100_AG_1_0_1
ToolVersion:	REL_3_1_0
Start:	2009/01/08 11:41:56
Tn:	/usr/local/v6eval//etc//tn.def
Nu:	/usr/local/v6eval//etc//nut.def
Pkt:	/dev/null
System:	rhel51
TargetName:	Fedora10
HostName:	IPv6test-Fedora10
Type:	host


Test Sequence Execution Log
11:41:56	Start
11:41:56	SNMP Listen
                SrcAddr:3ffe:501:ffff:100::20  SrcPort:162
                done
                listening at SocketID:3

	        Target: Wait

	

                WAIT> 
                WAIT> Wait NUT to be ready to send SNMP_TRAP message. 
                WAIT> 
                WAIT> Press Enter key for continue. 
                WAIT> 


	        OK

	        Trying to receive TRAP message from NUT in 120 seconds
11:42:01	SNMP try to receive...
                SrcAddr:3ffe:501:ffff:100:0221:27ff:fe9f:23a7  SrcPort:161
                DstAddr:3ffe:501:ffff:100::20  DstPort:162

	         __SNMPRecv: unable to receive any SNMP message.

	        FAIL
11:44:02	End

Packet Reverse Log
None

Test Procedure 

NAME 
AG_RFC3416_Trap - Trap Test

Purpose

Verify that NUT playing the SNMPv2C agent can properly generate the SNMPv2C-Trap PDU and sent it to the manager.

TARGET     

SNMPv2-Agent

SYNOPSIS

AG_RFC3416_Trap.seq [-tooloption ...]: KOI tool option
See also SNMPConfig.pm

INITIALIZATION

        * Network Topology

          Net-x   --+--------+-----------------+-------- 3ffe:501:ffff:100::/64 
                    |                          |
                    |                          |
                  SNMP Agent1 (NUT)            SNMP Manager1 (TN)
                  3ffe:501:ffff:100::XXXX      3ffe:501:ffff:100::20          
          	

        * Setup


          Set the SNMP Agent1's (NUT) address as above mentioned Network Topology.

TEST PROCEDURE

        This test sequence is following.

    SNMP Manager1 (TN)                       SNMP Agent1 (NUT)
        |                                      |
        |<-------------------------------------|
     OP1|   1. Send SNMPv2C Trap-PDU           |
        |                                      |
        |                                      |
        |                                      |
        v                                      v

        1. TN sends SNMPv2C Get scalar object to NUT by issuing SNMPv2C Get to get sysDescr 1.3.6.1.2.1.1.1 in system group in MIB II.
        2. NUT replies SNMPv2C GetResponse with correct values to TN.

JUDGMENT

        OP1 TN received SNMPv2C response from NUT responding to SNMPv2C Get scalar object request correctly.

        Received packet with
        1. SNMP version = 1,
           Community=same as NUT's SNMPv2C community 
           PDU type = A2
        2. Request-id is the same as the request id in the previously received SNMPv2C GetRequest.
        3. Error-status must be equal to zero and error-index must be equal zero.
        4. Value field is the system descriptor in system group of NUT with correct syntax type and value within the defined range field.

TERMINATION

        None

REFERENCE

        RFC 3416, Protocol Operations for version 2 of the Simple Network Management Prototol, Sec 4.2.1

  
        my TN(FreeBSD) address: rl0: 192.168.0.20, 3ffe:501:ffff:100::20/64

Tcpdump info
tcpdump -r 118.html.Link0.dump 
reading from file 118.html.Link0.dump, link-type EN10MB (Ethernet)
Comment 1 Shirley Zhou 2009-05-26 22:20:44 EDT
Any update for this issue?
Comment 2 Jan Safranek 2009-06-09 06:34:01 EDT
I think we solved this issue with Wang Jiabo in RHEL-5 by updating one of the test component, see bug #477087. Could you try to re-run the test?
Comment 3 Bug Zapper 2009-06-09 06:42:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Shirley Zhou 2009-06-12 04:25:58 EDT
thanks Jan, 
when we test the case , we should restart snmpd service, then the case pass.
thanks a lot
Comment 5 Jan Safranek 2009-06-12 06:22:41 EDT
The reporter has confirmed the snmpd works.

Note You need to log in before you can comment on or make changes to this bug.